Summary: FreePBX module - Zaptel AutoConfiguration
Name: freepbx-module-zapauto
Version: 0.5.2
Release: 1939
License: GPL
Group: Applications/System
URL: http://www.freepbx.org/
Source: freepbx-module-zapauto-r%{release}.tar.gz
Packager: Diego Iastrubni <diego.iastrubni@xorcom.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
#Requires: asterisk, sudo, freepbx
Requires: asterisk, sudo

%description 
This is a freepbx-module for autoconfiguration of Zaptel hardware

%prep
%setup -n freepbx-module-zapauto-r%{release}

%install
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}
pwd
make DESTDIR=%{buildroot} installfiles
make DESTDIR=%{buildroot} patchfiles

%post
SUDOERS=/etc/sudoers
LINE="asterisk ALL=NOPASSWD:/var/lib/asterisk/bin/detect_zap"
if ! fgrep -q "$LINE" /etc/sudoers; then echo "$LINE" >> $SUDOERS; fi

#LINE2="asterisk ALL=NOPASSWD:/etc/init.d/asterisk"
#if ! fgrep -q "$LINE2" /etc/sudoers; then echo "$LINE2" >> $SUDOERS; fi

%preun
# this should be run only on removals, not on upgrades
# see http://www.rpm.org/hintskinks/buildtree/mdk-rpm/#UPGRADE
if [ $1 = 0 ]; then
	SUDOERS=/etc/sudoers
        LINE="asterisk ALL=NOPASSWD:/var/lib/asterisk/bin/detect_zap"
	fgrep -v "$LINE"  $SUDOERS > ${SUDOERS}.tmp && cp ${SUDOERS}.tmp $SUDOERS && rm ${SUDOERS}.tmp
	
#	LINE2="asterisk ALL=NOPASSWD:/etc/init.d/asterisk"
#	fgrep -v "$LINE2" $SUDOERS > ${SUDOERS}.tmp && cp ${SUDOERS}.tmp $SUDOERS && rm ${SUDOERS}.tmp
fi

%files 
%defattr(-,root,root)
%doc LICENSE
%doc README
/var/www/html/admin/modules/zapauto/
/var/lib/asterisk/bin/detect_zap 
/var/lib/asterisk/bin/fix_ast_db 
/var/lib/asterisk/bin/zap2amp 
/var/lib/asterisk/bin/zap.template

%changelog
* Thu Aug 13 2006 Diego Iastrubni <diego.iastrubni@xorcom.com>
- First release

